Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » RCP and MAC
RCP and MAC [message #505085] Sat, 26 December 2009 11:45 Go to next message
Sir Wayne is currently offline Sir Wayne
Messages: 206
Registered: July 2009
Senior Member
Hello,

i have installed the delta pack an build my RCP for mac osx, but if i start my apllication on mac i get follow error log
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:02.067
!MESSAGE Could not install bundle plugins/org.eclipse.ui.cocoa_1.0.0.I20090525-2000.jar   Bundle "org.eclipse.ui.cocoa" version "1.0.0.I20090525-2000" has already been installed from: reference:file:plugins/org.eclipse.ui.cocoa_1.0.0.I20090525-2000.jar
 
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:02.352
!MESSAGE Could not install bundle plugins/org.eclipse.ui.workbench.nl_de_3.5.0.v20091121043401.jar   Bundle "org.eclipse.ui.workbench.nl_de" version "3.5.0.v20091121043401" has already been installed from: reference:file:plugins/org.eclipse.ui.workbench.nl_de_3.5.0.v20091121043401.jar
 
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:02.649
!MESSAGE Could not install bundle plugins/org.eclipse.ui.workbench_3.5.1.M20090826-0800a.jar   Bundle "org.eclipse.ui.workbench" version "3.5.1.M20090826-0800a" has already been installed from: reference:file:plugins/org.eclipse.ui.workbench_3.5.1.M20090826-0800a.jar
 
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:02.929
!MESSAGE Could not install bundle plugins/org.eclipse.ui_3.5.1.M20090902-1000.jar   Bundle "org.eclipse.ui" version "3.5.1.M20090902-1000" has already been installed from: reference:file:plugins/org.eclipse.ui_3.5.1.M20090902-1000.jar
 
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:03.216
!MESSAGE Could not install bundle plugins/org.eclipse.update.configurator_3.3.0.v20090312.jar   Bundle "org.eclipse.update.configurator" version "3.3.0.v20090312" has already been installed from: reference:file:plugins/org.eclipse.update.configurator_3.3.0.v20090312.jar
 
!ENTRY org.eclipse.update.configurator 4 0 2009-12-26 16:50:03.503
!MESSAGE Could not install bundle plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.0.1.R35x_v20090707/   Bundle "org.eclipse.equinox.launcher.cocoa.macosx.x86_64" version "1.0.1.R35x_v20090707" has already been installed from: reference:file:plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.0.1.R35x_v20090707
 
!ENTRY org.eclipse.osgi 4 0 2009-12-26 16:50:06.276
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "kinder.application" could not be found in the registry. The applications available are: org.eclipse.equinox.app.error.
    at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
    at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:585)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
 
!ENTRY org.eclipse.osgi 2 0 2009-12-26 16:50:06.315
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-12-26 16:50:06.315
!MESSAGE Bundle MDK.Solution.Core_1.0.0.200912261616 [2] was not resolved.
!SUBENTRY 2 MDK.Solution.Core 2 0 2009-12-26 16:50:06.315
!MESSAGE Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.6
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-12-26 16:50:06.316
!MESSAGE Bundle MDK.Solution.UI_1.0.0.200912261616 [3] was not resolved.
!SUBENTRY 2 MDK.Solution.UI 2 0 2009-12-26 16:50:06.316
!MESSAGE Missing required bundle MDK.Solution.Core_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2009-12-26 16:50:06.316
!MESSAGE Bundle kinder_1.0.0.200912261616 [5] was not resolved.
!SUBENTRY 2 kinder 2 0 2009-12-26 16:50:06.316
!MESSAGE Missing required bundle MDK.Solution.UI_1.0.0.
!SUBENTRY 2 kinder 2 0 2009-12-26 16:50:06.316
!MESSAGE Missing required bundle MDK.Solution.Core_1.0.0.


what is my mistake?

Re: RCP and MAC [message #505124 is a reply to message #505085] Sun, 27 December 2009 05:09 Go to previous message
Wim Jongman is currently offline Wim Jongman
Messages: 418
Registered: July 2009
Senior Member
Hi SirWayne,

It looks like you have specified a java execution environment of 1.6 in your
plugin which is not available on your mac. This will stop your bundle from
loading and since it is the core bundle it will probably have a chain effect
on other plugins including the one containting your kinder.application
application. You could downgrade your plugin's execution environment to 1.5
and rebuild you application or install java 1.6 on your mac.

If you build for multiple platforms you probably want to use the API tooling.
It prevents you from using 1.6 java code in 1.5 and lower plugins. Here is an
article about execution environments:

http://wiki.eclipse.org/PDE/Resources/Execution_Environments

--

Best Regards,
Wim Jongman
-- When 900 years old, you reach
Previous Topic:RCP and WebStart - No start and no error
Next Topic:command "org.eclipse.ui.views.showView" is always disabled
Goto Forum:
  


Current Time: Fri Aug 22 23:52:44 EDT 2014

Powered by FUDForum. Page generated in 0.01704 seconds